InputForm for output readable as input
14 Nov 2012 11:14 - Anna Maria Bigatti

Status: In Progress Start date: 20 Jun 2012
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 10%
Category: CoCoA-5 function: new Estimated time: 4.00 hours
Target version: CoCoA-5.2.7 Spent time: 1.45 hour
Description

Compare these

/**/ Record[A := "dsjfhak\"kfdakh"];
Record[A := "dsjfhak\"kfdakh"]

/**/ indent (It);
Record][
A := "dsjfhak"kfdakh"

John said in Mathematica the function InputForm prints something in a form that could be given as input. In this case printing a string
in the definition of indent could be done with such a function.
Apart from strings: would it really be useful?

Related issues:

Related to CoCoA-5 - Bug #192: indent prints strings without quotes Closed 20 Jun 2012
Related to CoCoA-5 - Feature #18: Printing matrices: I/O unified style for Co... Closed 02 Nov 2011
Related to CoCoA-5 - Design #483: Unique copies of rings in CoCoA-5 New 19 Mar 2014
Related to CoCoA-5 - Support #548: Printing rings with ID Closed 06 May 2014
History

#1 - 14 Nov 2012 11:23 - Anna Maria Bigatti

- Tracker changed from Bug to Feature

- Subject changed from indent prints strings without quotes to InputForm for output readable as input
- Category changed from Incomplete function to CoCoA-5 function: new

- Target version changed from CoCoA-5.0.3 to 10

- Estimated time changed from 2.00 h to 4.00 h

#2 - 14 Nov 2012 11:31 - Anna Maria Bigatti
- % Done changed from 50 to 10

#3 - 14 Nov 2012 14:01 - John Abbott

We should probably avoid the name InputForm; in the past the people behind Mathematica have not hesitated to sue others (e.g. for using the
names Sin, Cos and Tan -- with capital letters).

What should the command/function do? Should it behave much like Print, or should it be function which produces a string?

#4 - 11 Feb 2013 15:37 - Anna Maria Bigatti
- Target version changed from 10 to CoCoA-5.0.9
#5 - 02 Aug 2013 16:22 - Anna Maria Bigatti
- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#6 - 19 Mar 2014 21:00 - John Abbott
Here are some thoughts about InputForm (or whatever it will be called):
e it could be a separate command or perhaps a modifier for Print;

¢ there is no special need for the output to "look nice" or be easily readable by people;
e making it "bullet-proof" could be very hard (e.g. see the example in #18 post 3)

Here are some scenarios to consider: the output is valid input...

(A) (in the same CoCoA-5 session) when the current ring is the ring of the object printed
(B) (in the same CoCoA-5 session) regardless of the current ring

(C) in a different CoCoA-5 session regardless of all earlier computations, ring defns, etc
(D) in a brand new CoCoA-5 session

JAA thinks that achieving (C) and/or (D) could be difficult. (A) should be the minimum we offer, while (B) would be nice.

#7 - 04 Apr 2014 16:43 - John Abbott
- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.2.7
